aboutsummaryrefslogtreecommitdiffstats
path: root/sysconfig
diff options
context:
space:
mode:
authorBill Nottingham <notting@redhat.com>2001-01-23 19:59:11 +0000
committerBill Nottingham <notting@redhat.com>2001-01-23 19:59:11 +0000
commita4a25465cd2844d72bf518188b813c009450f505 (patch)
tree25ca5df7db282aa4202813aba3c0e18083927c25 /sysconfig
parentbee84f538da8b1d5885975c119bfd7fd5ae7e9a3 (diff)
downloadinitscripts-a4a25465cd2844d72bf518188b813c009450f505.tar
initscripts-a4a25465cd2844d72bf518188b813c009450f505.tar.gz
initscripts-a4a25465cd2844d72bf518188b813c009450f505.tar.bz2
initscripts-a4a25465cd2844d72bf518188b813c009450f505.tar.xz
initscripts-a4a25465cd2844d72bf518188b813c009450f505.zip
change i18n stuff around; don't call gettext explicitly, just do echo $"some string"
Diffstat (limited to 'sysconfig')
-rwxr-xr-xsysconfig/network-scripts/ifdown8
-rwxr-xr-xsysconfig/network-scripts/ifdown-aliases4
-rwxr-xr-xsysconfig/network-scripts/ifup18
-rwxr-xr-xsysconfig/network-scripts/ifup-aliases18
-rwxr-xr-xsysconfig/network-scripts/ifup-ipx2
-rwxr-xr-xsysconfig/network-scripts/ifup-ppp16
-rwxr-xr-xsysconfig/network-scripts/ifup-routes4
-rwxr-xr-xsysconfig/network-scripts/ifup-sl16
8 files changed, 43 insertions, 43 deletions
diff --git a/sysconfig/network-scripts/ifdown b/sysconfig/network-scripts/ifdown
index 53a28f8b..3a7074ba 100755
--- a/sysconfig/network-scripts/ifdown
+++ b/sysconfig/network-scripts/ifdown
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/bash
PATH=/sbin:/usr/sbin:/bin:/usr/bin
TEXTDOMAIN=initscripts
@@ -9,13 +9,13 @@ cd /etc/sysconfig/network-scripts
CONFIG=$1
[ -z "$CONFIG" ] && {
- gprintf "usage: %s <device name>\n" ifdown >&2
+ echo $"usage: ifdown <device name>" >&2
exit 1
}
[ -f "$CONFIG" ] || CONFIG=ifcfg-$CONFIG
[ -f "$CONFIG" ] || {
- gprintf "usage: %s <device name>\n" ifdown >&2
+ echo $"usage: ifdown <device name>\n" >&2
exit 1
}
@@ -25,7 +25,7 @@ if [ $UID != 0 ]; then
exec /usr/sbin/usernetctl $CONFIG down
fi
fi
- gprintf "Users cannot control this device.\n" >&2
+ echo $"Users cannot control this device." >&2
exit 1
fi
diff --git a/sysconfig/network-scripts/ifdown-aliases b/sysconfig/network-scripts/ifdown-aliases
index bc62dbf0..9b4c2f2c 100755
--- a/sysconfig/network-scripts/ifdown-aliases
+++ b/sysconfig/network-scripts/ifdown-aliases
@@ -1,10 +1,10 @@
-#!/bin/sh
+#!/bin/bash
# removes aliases of device $1
device=$1
if [ "$device" = "" ]; then
- echo "usage: $0 <net-device>"
+ echo $"usage: $0 <net-device>"
exit 1
fi
diff --git a/sysconfig/network-scripts/ifup b/sysconfig/network-scripts/ifup
index df2ecef1..0e5ee116 100755
--- a/sysconfig/network-scripts/ifup
+++ b/sysconfig/network-scripts/ifup
@@ -11,13 +11,13 @@ need_hostname
CONFIG=${1}
[ -z "${CONFIG}" ] && {
- gprintf "usage: ifup <device name>\n" >&2
+ echo $"usage: ifup <device name>" >&2
exit 1
}
[ -f "${CONFIG}" ] || CONFIG=ifcfg-${CONFIG}
[ -f "${CONFIG}" ] || {
- gprintf "usage: ifup <device name>\n" >&2
+ echo $"usage: ifup <device name>" >&2
exit 1
}
@@ -27,7 +27,7 @@ if [ ${UID} != 0 ]; then
exec /usr/sbin/usernetctl ${CONFIG} up
fi
fi
- gprintf "Users cannot control this device.\n" >&2
+ echo $"Users cannot control this device." >&2
exit 1
fi
@@ -74,7 +74,7 @@ fi
# is this device available? (this catches PCMCIA devices for us)
LC_ALL= LANG= /sbin/ifconfig ${REALDEVICE} 2>&1 | grep -s "not found" > /dev/null
if [ "$?" = "0" ]; then
- gprintf "Delaying %s initialization.\n" "${DEVICE}"
+ echo $"Delaying ${DEVICE} initialization."
exit 1
fi
@@ -83,7 +83,7 @@ if [ "${SLAVE}" = yes -a "${ISALIAS}" = no -a "${MASTER}" != "" -a \
RFLAG="" ; [ "${RECEIVEONLY}" = yes ] && RFLAG="-r"
ifconfig ${DEVICE} down
- gprintf "Enslaving %s to %s" "${DEVICE}" "${MASTER}"
+ echo $"Enslaving ${DEVICE} to ${MASTER}"
ifenslave ${RFLAG} "${MASTER}" "${DEVICE}"
exit 0
@@ -108,14 +108,14 @@ if [ -n "${DYNCONFIG}" ]; then
PUMPARGS="${PUMPARGS} -d"
DHCPDARGS="${DHCPDARGS} -R"
fi
- gprintf "Determining IP information for %s..." "${DEVICE}"
+ echo -n $"Determining IP information for ${DEVICE}..."
if [ -x /sbin/pump ] && /sbin/pump ${PUMPARGS} -i ${DEVICE} ; then
- gprintf " done.\n"
+ echo $" done."
elif [ -x /sbin/dhcpcd ] && /sbin/dhcpcd ${DHCPCDARGS} ${DEVICE} ; then
- gprintf " done.\n"
+ echo $" done."
else
- gprintf " failed.\n"
+ echo $" failed."
exit 1
fi
else
diff --git a/sysconfig/network-scripts/ifup-aliases b/sysconfig/network-scripts/ifup-aliases
index 23a9af96..8f0e798f 100755
--- a/sysconfig/network-scripts/ifup-aliases
+++ b/sysconfig/network-scripts/ifup-aliases
@@ -62,7 +62,7 @@ TEXTDOMAIN=initscripts
device=$1
if [ "$device" = "" ]; then
- gprintf "usage: %s <net-device>\n" "$0"
+ echo $"usage: ifup-aliases <net-device>\n"
exit 1
fi
@@ -104,7 +104,7 @@ eval ` (
# read defaults from the parent config file
PARENTCONFIG=ifcfg-$device
[ -f $PARENTCONFIG ] || {
- echo "Missing config file $PARENTCONFIG." >&2
+ echo $"Missing config file $PARENTCONFIG." >&2
exit 1
}
eval ` (
@@ -145,15 +145,15 @@ function new_interface ()
";
if [ -n "$ipseen" ]; then
- echo "error in $FILE: already seen ipaddr $IPADDR in $ipseen" >&2;exit 0
+ echo $"error in $FILE: already seen ipaddr $IPADDR in $ipseen" >&2;exit 0
fi
if [ -n "$devseen" ]; then
- echo "error in $FILE: already seen device $parent_device:$DEVNUM\ in $devseen" >&2; exit 0
+ echo $"error in $FILE: already seen device $parent_device:$DEVNUM\ in $devseen" >&2; exit 0
fi
if [ -z "$DEVICE" -o -z "$IPADDR" ]; then
- echo "error in $FILE: didn't specify device or ipaddr" >&2 ; exit 0
+ echo $"error in $FILE: didn't specify device or ipaddr" >&2 ; exit 0
fi
if [ -z "$NETMASK" ]; then
@@ -219,7 +219,7 @@ function new_interface ()
setup_this=yes
fi
if [ -n "$rdev_mark" -a "$rdev_mark" != "$newmark" ]; then
- echo "error in ifcfg-${parent_device}:\* files" >&2 ; exit 0
+ echo $"error in ifcfg-${parent_device}:\* files" >&2 ; exit 0
fi
eval " rdev_${DEVNUM}_mark=\$newmark ";
else
@@ -229,7 +229,7 @@ function new_interface ()
if [ -n "$rdevip" -a "$rdevip" != "${DEVNUM}" ]; then
eval " mark_remove=\$rdev_${rdevip}_mark ";
if [ -n "$mark_remove" -a "$mark_remove" != "remove" ]; then
- echo "error in ifcfg-${parent_device}:\* files" >&2 ; exit 0
+ echo $"error in ifcfg-${parent_device}:\* files" >&2 ; exit 0
fi
if [ "$mark_remove" != "remove" ]; then
eval " rdev_${rdevip}_mark=remove ";
@@ -334,11 +334,11 @@ for FILE in ifcfg-${parent_device}-range* ; do
ipaddr_endnum=${IPADDR_END##*.}
if [ "${IPADDR_START%.*}" != "${IPADDR_END%.*}" ]; then
- echo "error in $FILE: IPADDR_START and IPADDR_END don't argree" >&2; exit 0
+ echo $"error in $FILE: IPADDR_START and IPADDR_END don't argree" >&2; exit 0
fi
if [ $ipaddr_startnum -gt $ipaddr_endnum ]; then
- echo "error in $FILE: IPADDR_START greater than IPADDR_END" >&2; exit 0
+ echo $"error in $FILE: IPADDR_START greater than IPADDR_END" >&2; exit 0
fi
ipaddr_num=$ipaddr_startnum
diff --git a/sysconfig/network-scripts/ifup-ipx b/sysconfig/network-scripts/ifup-ipx
index 926ac910..53871cca 100755
--- a/sysconfig/network-scripts/ifup-ipx
+++ b/sysconfig/network-scripts/ifup-ipx
@@ -4,7 +4,7 @@
PATH=/sbin:/usr/sbin:/bin:/usr/bin
if [ "$1" = "" ]; then
- echo "usage: $0 <net-device>"
+ echo $"usage: $0 <net-device>"
exit 1
fi
diff --git a/sysconfig/network-scripts/ifup-ppp b/sysconfig/network-scripts/ifup-ppp
index 0bdcc591..2931940a 100755
--- a/sysconfig/network-scripts/ifup-ppp
+++ b/sysconfig/network-scripts/ifup-ppp
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/bash
PATH=/sbin:/usr/sbin:/bin:/usr/bin
cd /etc/sysconfig/network-scripts
@@ -44,18 +44,18 @@ if [ "${2}" = "boot" -a "${ONBOOT}" = "no" ]; then
fi
[ -x /usr/sbin/pppd ] || {
- gprintf "/usr/sbin/pppd does not exist or is not executable\n"
- gprintf "ifup-ppp for %s exiting\n" "${DEVICE}"
+ echo $"/usr/sbin/pppd does not exist or is not executable"
+ echo $"ifup-ppp for ${DEVICE} exiting"
logger -p daemon.info -t ifup-ppp \
- `gprintf "/usr/sbin/pppd does not exist or is not executable for %s\n" "${DEVICE}"`
+ $"/usr/sbin/pppd does not exist or is not executable for ${DEVICE}"
exit 1
}
[ -n "${WVDIALSECT}" -o -f /etc/sysconfig/network-scripts/chat-${DEVICE} ] || {
- echo "/etc/sysconfig/network-scripts/chat-${DEVICE} does not exist"
- echo "ifup-ppp for ${DEVICE} exiting"
+ echo $"/etc/sysconfig/network-scripts/chat-${DEVICE} does not exist"
+ echo $"ifup-ppp for ${DEVICE} exiting"
logger -p daemon.info -t ifup-ppp \
- `gprintf "/etc/sysconfig/network-scripts/chat-%s does not exist for %s" "${DEVICE}" "${DEVICE}"`
+ $"/etc/sysconfig/network-scripts/chat-${DEVICE} does not exist for ${DEVICE}"
exit 1
}
@@ -109,7 +109,7 @@ else
fi
(logger -p daemon.info -t ifup-ppp \
- "pppd started for ${DEVICE} on ${MODEMPORT} at ${LINESPEED}" &)&
+ $"pppd started for ${DEVICE} on ${MODEMPORT} at ${LINESPEED}" &)&
if [ -n "${WVDIALSECT}" ] ; then
exec /usr/sbin/pppd $opts ${MODEMPORT} ${LINESPEED} \
diff --git a/sysconfig/network-scripts/ifup-routes b/sysconfig/network-scripts/ifup-routes
index b4e4a98a..580b4d6e 100755
--- a/sysconfig/network-scripts/ifup-routes
+++ b/sysconfig/network-scripts/ifup-routes
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/bash
TEXTDOMAIN=initscripts
# adds static routes which go through device $1
@@ -6,7 +6,7 @@ TEXTDOMAIN=initscripts
. /etc/rc.d/init.d/functions
if [ "$1" = "" ]; then
- gprintf "usage: %s <net-device>\n" "$0"
+ echo $"usage: ifup-routes <net-device>"
exit 1
fi
diff --git a/sysconfig/network-scripts/ifup-sl b/sysconfig/network-scripts/ifup-sl
index 2b53b93e..27be5fe3 100755
--- a/sysconfig/network-scripts/ifup-sl
+++ b/sysconfig/network-scripts/ifup-sl
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/bash
TEXTDOMAIN=initscripts
PATH=/sbin:/usr/sbin:/bin:/usr/bin
. /etc/rc.d/init.d/functions
@@ -30,10 +30,10 @@ if [ -z "$RETRYTIMEOUT" ]; then
fi
[ -x /usr/sbin/dip ] || {
- gprintf "%s does not exist or is not executable\n" "/usr/sbin/dip"
- gprintf "%s for %s exiting\n" "ifup-sl" "$DEVICE"
+ echo $"/usr/sbin/dip does not exist or is not executable"
+ echo $"ifup-sl for $DEVICE exiting"
logger -p daemon.info -t ifup-sl \
- "/usr/sbin/dip does not exist or is not executable for $DEVICE"
+ $"/usr/sbin/dip does not exist or is not executable for $DEVICE"
exit 1
}
@@ -42,17 +42,17 @@ DIPSCRIPT=/etc/sysconfig/network-scripts/dip-$DEVNAME
DIPSCRIPT=/etc/sysconfig/network-scripts/dip-$PARENTDEVNAME
}
[ -f $DIPSCRIPT ] || {
- gprintf "%s does not exist\n" "/etc/sysconfig/network-scripts/dip-$DEVICE"
- gprintf "%s for %s exiting\n" "ifup-sl" "$DEVICE"
+ echo $"/etc/sysconfig/network-scripts/dip-$DEVICE does not exist"
+ echo $"ifup-sl for $DEVICE exiting"
logger -p daemon.info -t ifup-sl \
- "/etc/sysconfig/network-scripts/dip-$DEVICE does not exist for $DEVICE"
+ $"/etc/sysconfig/network-scripts/dip-$DEVICE does not exist for $DEVICE"
exit 1
}
while : ; do
echo > /var/run/sl-$DEVICE.dev
(logger -p daemon.info -t ifup-sl \
- "dip started for $DEVICE on $MODEMPORT at $LINESPEED" &)&
+ $"dip started for $DEVICE on $MODEMPORT at $LINESPEED" &)&
doexec /usr/sbin/dip dip-$DEVICE $DIPSCRIPT
if [ "$PERSIST" != "yes" -o ! -f /var/run/sl-$DEVICE.dev ] ; then
exit 0